//Creations
onEvent('item.registry', event => {
	// Register new items here
  // The texture for this item has to be placed in kubejs/assets/kubejs/textures/item/example_item.png
  // If you want a custom item model, you can create one in Blockbench and put it in kubejs/assets/kubejs/models/item/example_item.json
	event.create('example_item').displayName('Example Item');
  event.create('missing_texture_64_64').displayName('Missing Texture');
  event.create('amplified_portal_activator').displayName('Amplified Portal Activator');
	event.create('wither_dust').displayName('Wither Dust');
	event.create('wither_shard').displayName('Wither Shard');
});

//Modifications
onEvent('item.modification', event => {
  event.modify('minecraft:ender_pearl', item => {
    item.maxStackSize = 64
    item.fireResistant = true
  })
});
